Loading...
Searching...
No Matches
Profiling Tool

## Data Structures

struct | starpu_prof_tool_info
union | starpu_prof_tool_event_info
struct | starpu_prof_tool_api_info

## Typedefs

typedef void(* | starpu_prof_tool_cb_func) (struct starpu_prof_tool_info *, union starpu_prof_tool_event_info *, struct starpu_prof_tool_api_info *)
typedef void(* | starpu_prof_tool_entry_register_func) (enum starpu_prof_tool_event event_type, starpu_prof_tool_cb_func cb, enum starpu_prof_tool_command info)
typedef void(* | starpu_prof_tool_entry_func) (starpu_prof_tool_entry_register_func reg, starpu_prof_tool_entry_register_func unreg)

## Enumerations

enum

starpu_prof_tool_event {
starpu_prof_tool_event_none , starpu_prof_tool_event_init , starpu_prof_tool_event_terminate , starpu_prof_tool_event_init_begin ,
starpu_prof_tool_event_init_end , starpu_prof_tool_event_driver_init , starpu_prof_tool_event_driver_deinit , starpu_prof_tool_event_driver_init_start ,
starpu_prof_tool_event_driver_init_end , starpu_prof_tool_event_start_cpu_exec , starpu_prof_tool_event_end_cpu_exec , starpu_prof_tool_event_start_gpu_exec ,
starpu_prof_tool_event_end_gpu_exec , starpu_prof_tool_event_start_transfer , starpu_prof_tool_event_end_transfer , starpu_prof_tool_event_user_start ,
starpu_prof_tool_event_user_end
}

enum | starpu_prof_tool_driver_type { starpu_prof_tool_driver_cpu , starpu_prof_tool_driver_gpu , starpu_prof_tool_driver_hip , starpu_prof_tool_driver_ocl }
enum | starpu_prof_tool_command { starpu_prof_tool_command_reg , starpu_prof_tool_command_toggle , starpu_prof_tool_command_toggle_per_thread }

## Detailed Description

## Data Structure Documentation

## starpu_prof_tool_info

struct starpu_prof_tool_info

General information

Data Fields
struct starpu_conf * | conf |
enum starpu_prof_tool_event | event_type |
unsigned int | starpu_version[3] |
int | thread_id |
int | worker_id |
int | device_number |
enum starpu_prof_tool_driver_type | driver_type |
unsigned | memnode |
unsigned | bytes_to_transfer |
unsigned | bytes_transfered |
void * | fun_ptr |

## starpu_prof_tool_event_info

union starpu_prof_tool_event_info

Event info

Data Fields
enum starpu_prof_tool_event | event_type |

## starpu_prof_tool_api_info

struct starpu_prof_tool_api_info

API info

## Typedef Documentation

## starpu_prof_tool_entry_register_func

typedef void(* starpu_prof_tool_entry_register_func) (enum starpu_prof_tool_event event_type, starpu_prof_tool_cb_func cb, enum starpu_prof_tool_command info)

Register / unregister events

## starpu_prof_tool_entry_func

typedef void(* starpu_prof_tool_entry_func) (starpu_prof_tool_entry_register_func reg, starpu_prof_tool_entry_register_func unreg)

A function with this signature must be implemented by external tools that want to use the callbacks

## Enumeration Type Documentation

## starpu_prof_tool_event

enum starpu_prof_tool_event

Event type

## starpu_prof_tool_driver_type

enum starpu_prof_tool_driver_type

todo

## starpu_prof_tool_command

enum starpu_prof_tool_command

todo